package com.engine.salary.mapper.sys;

import com.engine.salary.sys.entity.po.SalarySysConfPO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface SalarySysConfMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SalarySysConfPO> listAll();
    
    /**
     * 条件查询
     *
     * @return 返回集合，没有返回空List
     */
    List<SalarySysConfPO> listSome(SalarySysConfPO SalarySysConfPO);
    

	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SalarySysConfPO getById(Long id);
	
	/**
     * 新增，忽略null字段
     *
     * @param SalarySysConfPO 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SalarySysConfPO SalarySysConfPO);
	
	/**
     * 修改，修改所有字段
     *
     * @param SalarySysConfPO 修改的记录
     * @return 返回影响行数
     */
	int update(SalarySysConfPO SalarySysConfPO);
	
	/**
     * 修改，忽略null字段
     *
     * @param SalarySysConfPO 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SalarySysConfPO SalarySysConfPO);

	/**
	 * 删除记录
	 *
	 * @param salarySysConf 待删除的记录
	 * @return 返回影响行数
	 */
	int delete(SalarySysConfPO salarySysConf);

	SalarySysConfPO getOneByCode(String confKey);

	int countByCode(String confKey);

	/**
	 * @description 获取个税申报功能重启时间
	 * @return Date
	 * @author Harryxzy
	 * @date 2022/11/9 21:09
	 */
    Date getTaxDeclarationRebootDate();

	List<SalarySysConfPO> getListByCodes(@Param("codes") List<String> codes);
}